StartupEvents.registry('block', event => {
  
  //Prismatic Quantiser Controller
  event.create('prismatic_quantiser_controller') // Create a new block
    .displayName('Prismatic Quantiser Controller') // Set a custom name
    .soundType('stone') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
  //Infused Sky Stone
  event.create('infused_sky_stone') // Create a new block
    .displayName('Infused Sky Stone') // Set a custom name
    .soundType('stone') // Set a material (affects the sounds and some properties)
    .hardness(3.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron

  //Prisma Input
  event.create('sky_stone_prisma_input_hatch') // Create a new block
    .displayName('Sky Stone Prisma Input Hatch') // Set a custom name
    .soundType('stone') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron

  //Item Input Bus
  event.create('sky_stone_item_input_bus') // Create a new block
    .displayName('Sky Stone Input Bus') // Set a custom name
    .soundType('stone') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron

  //Item Output Bus
  event.create('sky_stone_item_output_bus') // Create a new block
    .displayName('Sky Stone Output Bus') // Set a custom name
    .soundType('stone') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// General Prisma Item Input
	event.create('pcasinginputbus') // Create a new block
    .displayName('placeholder_pcasinginputbus') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// General Prisma Fluid Input
	event.create('pcasinginputhatch') // Create a new block
    .displayName('placeholder_pcasinginputhatch') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// General Prisma Item Output
	event.create('pcasingoutputbus') // Create a new block
    .displayName('placeholder_pcasingoutputbus') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// General Prisma Flux Input
	event.create('pcasingfluxinput') // Create a new block
    .displayName('placeholder_pcasingfluxinput') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// General Prisma Mana Input
	event.create('pcasingmanainput') // Create a new block
    .displayName('placeholder_pcasingmanainput') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// General Prisma Coolant Input
	event.create('pcasingcoolantinput') // Create a new block
    .displayName('placeholder_pcasingcoolantinput') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Prismatic Casing
	event.create('prismatic_casing') // Create a new block
    .displayName('Prismatic Casing') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// High-Intensity Alchemical Fuel
	event.create('prism_fuel_block_active') // Create a new block
    .displayName('High-Intensity Alchemical Fuel') // Set a custom name
    .soundType('stone') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Assembly Matrix
	event.create('assembly_matrix_active') // Create a new block
    .displayName('Assembly Matrix') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Radiant Crystal
	event.create('radiant_crystal') // Create a new block
    .displayName('Radiant Crystal') // Set a custom name
    .soundType('glass') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Alloyer Off Placeholder
	event.create('palloyerinactive') // Create a new block
    .displayName('placeholder_palloyerinactive') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Alloyer On Placeholder
	event.create('palloyeractive') // Create a new block
    .displayName('placeholder_palloyeractive') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Assembler Off Placeholder
	event.create('passemblerinactive') // Create a new block
    .displayName('placeholder_passemblerinactive') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Assembler On Placeholder
	event.create('passembleractive') // Create a new block
    .displayName('placeholder_passembleractive') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Ritual-er Off Placeholder
	event.create('pritualiserinactive') // Create a new block
    .displayName('placeholder_pritualerinactive') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Ritual-er On Placeholder
	event.create('pritualiseractive') // Create a new block
    .displayName('placeholder_pritualeractive') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Cosmic Channeler Off Placeholder
	event.create('cosmicchannelerinactive') // Create a new block
    .displayName('placeholder_cosmicchannelerinactive') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Cosmic Channeler On Placeholder
	event.create('cosmicchanneleractive') // Create a new block
    .displayName('placeholder_cosmicchanneleractive') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Cosmic Focus Crystal
	event.create('cosmic_focus_crystal') // Create a new block
    .displayName('Cosmic Focus Crystal') // Set a custom name
    .soundType('glass') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Fission Input Bus
	event.create('fission_reactor_input_bus') // Create a new block
    .displayName('placeholder_fissioninputbus') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Fission Input Hatch
	event.create('fission_reactor_input_hatch') // Create a new block
    .displayName('placeholder_fissioninputhatch') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Fission Output Bus
	event.create('fission_reactor_output_bus') // Create a new block
    .displayName('placeholder_fissionoutputbus') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Fission Output Hatch
	event.create('fission_reactor_output_hatch') // Create a new block
    .displayName('placeholder_fissionoutputhatch') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Fission Membrane Field
	event.create('fission_reactor_membrane_field') // Create a new block
    .displayName('Fission Reactor Membrane Field') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Plutonium Sponge
	event.create('plutonium_sponge') // Create a new block
    .displayName('Plutonium Sponge') // Set a custom name
    .soundType('slime_block') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Rune Factory
	event.create('rune_factory') // Create a new block
    .displayName('placeholder_runefactory') // Set a custom name
    .soundType('stone') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	.texture('up', 'kubejs:block/rune_factory_top')
	.texture('down', 'kubejs:block/rune_factory_bottom')
	.texture('north', 'kubejs:block/rune_factory_side')
	.texture('south', 'kubejs:block/rune_factory_side')
	.texture('east', 'kubejs:block/rune_factory_side')
	.texture('west', 'kubejs:block/rune_factory_side')
	
	// Aetherium Auto-Forge
	event.create('alchemy_box') // Create a new block
    .displayName('placeholder_alchemybox') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	.texture('up', 'kubejs:block/alchemy_box_top')
	.texture('down', 'kubejs:block/alchemy_box_bottom')
	.texture('north', 'kubejs:block/alchemy_box_side')
	.texture('south', 'kubejs:block/alchemy_box_side')
	.texture('east', 'kubejs:block/alchemy_box_side')
	.texture('west', 'kubejs:block/alchemy_box_side')
	.texture('particle', 'kubejs:block/alchemy_box_side')
	
	// Blood Box
	event.create('blood_box') // Create a new block
    .displayName('placeholder_bloodbox') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	.texture('up', 'kubejs:block/blood_box_top')
	.texture('down', 'kubejs:block/blood_box_bottom')
	.texture('north', 'kubejs:block/blood_box_side')
	.texture('south', 'kubejs:block/blood_box_side')
	.texture('east', 'kubejs:block/blood_box_side')
	.texture('west', 'kubejs:block/blood_box_side')
	.texture('particle', 'kubejs:block/blood_box_side')
	
	// Black Box Casing
	event.create("black_box_casing")
	.displayName("Black Box Casing")
	.soundType('metal')
	.hardness(4.0)
	.resistance(4.0)
	.textureAll("kubejs:block/black_box_casing")
	.tagBlock("mineable/pickaxe")
	.model('kubejs:block/black_box_casing')
	
	// Black Box Inactive
	event.create('black_box_inactive') // Create a new block
    .displayName('placeholder_blackboxinactive') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Black Box Active
	event.create('black_box_active') // Create a new block
    .displayName('placeholder_blackboxactive') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Black Box Flux Port
	event.create('black_box_flux_port') // Create a new block
    .displayName('placeholder_blackboxfluxport') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Black Energy Radiator
	event.create('black_energy_box') // Create a new block
    .displayName('placeholder_blackenergybox') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Black Box Casing
	event.create("demon_casing")
	.displayName("Hellforged Casing")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.textureAll("kubejs:block/demon_casing")
	.tagBlock("mineable/pickaxe")
	.model('kubejs:block/demon_casing')
	
	// Crystal Chamber placeholder
	event.create('crystal_chamber_controller') // Create a new block
    .displayName('crystalchamber_placeholder') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Crystal Chamber port placeholder
	event.create('crystal_chamber_port') // Create a new block
    .displayName('crystalchamberport_placeholder') // Set a custom name
    .soundType('metal') // Set a material (affects the sounds and some properties)
    .hardness(1.0) // Set hardness (affects mining time)
    .resistance(1.0) // Set resistance (to explosions, etc)
    .requiresTool(true) // Requires a tool or it won't drop (see tags below)
    .tagBlock('minecraft:mineable/pickaxe') // or a pickaxe
    .tagBlock('minecraft:needs_diamond_tool') // the tool tier must be at least iron
	
	// Lapidary Casing
	event.create("lapidary_casing")
	.displayName("Lapidary Casing")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.textureAll("kubejs:block/multiblock/lapidary_casing")
	.tagBlock("mineable/pickaxe")
	.model('kubejs:block/lapidary_casing')
	
	// Amethyst Coil
	event.create("amethyst_coil")
	.displayName("Amethyst Coil")
	.soundType('amethyst')
	.hardness(2.0)
	.resistance(2.0)
	.texture('up', 'kubejs:block/multiblock/lapidary_casing')
	.texture('down', 'kubejs:block/multiblock/lapidary_casing')
	.texture('north', 'kubejs:block/multiblock/amethyst_coil')
	.texture('south', 'kubejs:block/multiblock/amethyst_coil')
	.texture('west', 'kubejs:block/multiblock/amethyst_coil')
	.texture('east', 'kubejs:block/multiblock/amethyst_coil')
	.texture('particle', 'kubejs:block/multiblock/amethyst_coil')
	.tagBlock("mineable/pickaxe")
	.model('kubejs:block/amethyst_coil')
	
	// MLEM controller
	event.create("lapidary_controller")
	.displayName("placeholder_lapidarycontroller")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.texture('up', 'kubejs:block/multiblock/lapidary_casing')
	.texture('down', 'kubejs:block/multiblock/lapidary_casing')
	.texture('north', 'kubejs:block/multiblock/lapidary_controller')
	.texture('south', 'kubejs:block/multiblock/lapidary_controller')
	.texture('west', 'kubejs:block/multiblock/lapidary_controller')
	.texture('east', 'kubejs:block/multiblock/lapidary_controller')
	.texture('particle', 'kubejs:block/multiblock/lapidary_casing')
	.tagBlock("mineable/pickaxe")
	
	// lapidary flux port
	event.create("lapidary_flux_port")
	.displayName("placeholder_lapidaryfluxport")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.textureAll('kubejs:block/multiblock/lapidary_flux_port')
	.tagBlock("mineable/pickaxe")
	
	// lapidary port hatch
	event.create("lapidary_port_hatch")
	.displayName("placeholder_lapidaryporthatch")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.textureAll('kubejs:block/multiblock/lapidary_port_hatch')
	.tagBlock("mineable/pickaxe")
	
	// Prisma Solar Panel
	event.create("prisma_panel")
	.displayName("Prismatic Solar Cell")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.tagBlock("mineable/pickaxe")
	.model('kubejs:block/prisma_panel')
	
	// Prisma Solar Controller
	event.create("placeholder_prismasolarcontroller")
	.displayName("placeholder_prismasolarcontroller")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.textureAll('kubejs:block/multiblock/prisma_solar_controller')
	.tagBlock("mineable/pickaxe")
	
	// Compression Casing
	event.create("compression_casing")
	.displayName("Compression Casing")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.textureAll("kubejs:block/multiblock/compression_casing")
	.tagBlock("mineable/pickaxe")
	.model('kubejs:block/compression_casing')
	
	// compression input hatch
	event.create("placeholder_compressioninputhatch")
	.displayName("placeholder_compressioninputhatch")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.textureAll('kubejs:block/multiblock/compression_input_hatch')
	.tagBlock("mineable/pickaxe")
	
	// compression flux port
	event.create("placeholder_compressionfluxport")
	.displayName("placeholder_compressionfluxport")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.textureAll('kubejs:block/multiblock/compression_flux_port')
	.tagBlock("mineable/pickaxe")
	
	// compression heat vent
	event.create("placeholder_compressionheatvent")
	.displayName("placeholder_compressionheatvent")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.textureAll('kubejs:block/multiblock/compression_heat_vent')
	.tagBlock("mineable/pickaxe")
	
	// compression controller inactive
	event.create("placeholder_compressioncontrollerinactive")
	.displayName("placeholder_compressioncontrollerinactive")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.textureAll('kubejs:block/multiblock/inactive_compression_controller')
	.tagBlock("mineable/pickaxe")
	
	// compression controller active
	event.create("placeholder_compressioncontrolleractive")
	.displayName("placeholder_compressioncontrolleractive")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.textureAll('kubejs:block/multiblock/active_compression_controller')
	.tagBlock("mineable/pickaxe")
	
	// Dummy extended crafter
	event.create("placeholder_extendedcrafter")
	.displayName("placeholder_extendedcrafter")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.texture('up', 'kubejs:block/ext_crafter_top')
	.texture('down', 'kubejs:block/ext_crafter_bottom')
	.texture('north', 'kubejs:block/ext_crafter_side')
	.texture('south', 'kubejs:block/ext_crafter_side')
	.texture('west', 'kubejs:block/ext_crafter_side')
	.texture('east', 'kubejs:block/ext_crafter_side')
	.texture('particle', 'kubejs:block/ext_crafter_side')
	.tagBlock("mineable/pickaxe")
	
	// blood forge inp hatch
	event.create("placeholder_bloodinputhatch")
	.displayName("placeholder_bloodinputhatch")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.texture('up', 'bloodmagic:block/dungeon/dungeon_polished')
	.texture('down', 'bloodmagic:block/dungeon/dungeon_polished')
	.texture('north', 'kubejs:block/multiblock/blood_forge/input_hatch')
	.texture('south', 'kubejs:block/multiblock/blood_forge/input_hatch')
	.texture('east', 'kubejs:block/multiblock/blood_forge/input_hatch')
	.texture('west', 'kubejs:block/multiblock/blood_forge/input_hatch')
	.texture('particle', 'bloodmagic:block/dungeon/dungeon_polished')
	.tagBlock("mineable/pickaxe")
	
	// blood forge inp bus
	event.create("placeholder_bloodinputbus")
	.displayName("placeholder_bloodinputbus")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.texture('up', 'bloodmagic:block/dungeon/dungeon_polished')
	.texture('down', 'bloodmagic:block/dungeon/dungeon_polished')
	.texture('north', 'kubejs:block/multiblock/blood_forge/input_bus')
	.texture('south', 'kubejs:block/multiblock/blood_forge/input_bus')
	.texture('east', 'kubejs:block/multiblock/blood_forge/input_bus')
	.texture('west', 'kubejs:block/multiblock/blood_forge/input_bus')
	.texture('particle', 'bloodmagic:block/dungeon/dungeon_polished')
	.tagBlock("mineable/pickaxe")
	
	// blood forge out hatch
	event.create("placeholder_bloodoutputhatch")
	.displayName("placeholder_bloodoutputhatch")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.texture('up', 'bloodmagic:block/bloodstonebrick')
	.texture('down', 'bloodmagic:block/bloodstonebrick')
	.texture('north', 'kubejs:block/multiblock/blood_forge/output_hatch')
	.texture('south', 'kubejs:block/multiblock/blood_forge/output_hatch')
	.texture('east', 'kubejs:block/multiblock/blood_forge/output_hatch')
	.texture('west', 'kubejs:block/multiblock/blood_forge/output_hatch')
	.texture('particle', 'bloodmagic:block/bloodstonebrick')
	.tagBlock("mineable/pickaxe")
	
	// blood forge inactive controller
	event.create("placeholder_bloodcontrolleroff")
	.displayName("placeholder_bloodcontrolleroff")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.texture('up', 'bloodmagic:block/dungeon/dungeon_polished')
	.texture('down', 'bloodmagic:block/dungeon/dungeon_polished')
	.texture('north', 'kubejs:block/multiblock/blood_forge/controllerinactive')
	.texture('south', 'kubejs:block/multiblock/blood_forge/controllerinactive')
	.texture('east', 'kubejs:block/multiblock/blood_forge/controllerinactive')
	.texture('west', 'kubejs:block/multiblock/blood_forge/controllerinactive')
	.texture('particle', 'bloodmagic:block/dungeon/dungeon_polished')
	.tagBlock("mineable/pickaxe")
	
	// blood forge active controller
	event.create("placeholder_bloodcontrolleron")
	.displayName("placeholder_bloodcontrolleron")
	.soundType('metal')
	.hardness(2.0)
	.resistance(2.0)
	.texture('up', 'bloodmagic:block/dungeon/dungeon_polished')
	.texture('down', 'bloodmagic:block/dungeon/dungeon_polished')
	.texture('north', 'kubejs:block/multiblock/blood_forge/controlleractive')
	.texture('south', 'kubejs:block/multiblock/blood_forge/controlleractive')
	.texture('east', 'kubejs:block/multiblock/blood_forge/controlleractive')
	.texture('west', 'kubejs:block/multiblock/blood_forge/controlleractive')
	.texture('particle', 'bloodmagic:block/dungeon/dungeon_polished')
	.tagBlock("mineable/pickaxe")
	
})